Mailinglist Archive: yast-devel (144 mails)

< Previous Next >
Re: [yast-devel] Yast2 sw_single crashing on startup in 10.3 (zypp:svn Repository)
  • From: Gryffus <gryffus@xxxxxxxxxx>
  • Date: Tue, 19 Feb 2008 16:28:21 +0100
  • Message-id: <47BAF595.80805@xxxxxxxxxx>
Martin Vidner napsal(a):
On Tue, Feb 19, 2008 at 08:43:03AM +0100, Ladislav Slezak wrote:
Stephan Kulow wrote:

You really shouldn't use the repo for real life systems. You would need
to recompile all your yast modules. It's mainly meant for zypper users.

You hit an unlucky time window of instability following the Hack
Week. Please have a look at a page with recovery tips:
http://en.opensuse.org/YaST/Crashes
(and tell us how we can improve it, or edit it yourself, it is a
wiki)

I suggest that you stop using the zypp:svn repo. It is even less
stable than Factory, which is less stable than Alpha 2 of 11.0, which is
less stable than 10.3. Try reverting to one of these. If you cannot,
wait until fixed RPMs appear.

To recompile all yast modules use y2compile script from yast2-devtools
(/usr/share/YaST2/data/devtools/bin/y2compile). The script iteratively
recompiles all yast modules.

Recompiling is a rather large gun. Try the above RPM repos first.


Thank all of you for answer... It is getting clear to me now...

Ok, so what yast and zypper version / repo should i use if i want bleeding edge y2 with most features (next-gen package solver, new layouts etc)? When i use the 0.9series of zypper, i cannot find a yast package which can work with it... I also have to recompile all modules? (or at least the wrong ones).

Best regards and thanks again
Gryffus
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups